org.eclipse.incquery.runtime.localsearch.matcher

## Interface ISearchContext

- All Known Implementing Classes:
    ISearchContext.SearchContext

      public interface ISearchContext

  The `ISearchContext` interface allows search operations to reuse platform services such as the indexer.
  Author:
    Zoltan Ujhelyi

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `ISearchContext.SearchContext`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `NavigationHelper` | `getBaseIndex()`
    `LocalSearchMatcher` | `getMatcher(MatcherReference reference)` Returns a matcher for a selected query specification.
    `void` | `loadMatcher(MatcherReference reference, LocalSearchMatcher matcher)` Temporary load function for storing local search matchers
    `void` | `registerObservedTypes(java.util.Set<org.eclipse.emf.ecore.EClass> classes, java.util.Set<org.eclipse.emf.ecore.EDataType> dataTypes, java.util.Set<org.eclipse.emf.ecore.EStructuralFeature> features)`

- - ### Method Detail

    - #### getBaseIndex

          NavigationHelper getBaseIndex()

    - #### registerObservedTypes

          void registerObservedTypes(java.util.Set<org.eclipse.emf.ecore.EClass> classes,
                                     java.util.Set<org.eclipse.emf.ecore.EDataType> dataTypes,
                                     java.util.Set<org.eclipse.emf.ecore.EStructuralFeature> features)

      Parameters:
        `classes` -
        `dataTypes` -
        `features` -

    - #### loadMatcher

          void loadMatcher(MatcherReference reference,
                           LocalSearchMatcher matcher)

      Temporary load function for storing local search matchers
      Parameters:
        `matcher` -

    - #### getMatcher

          LocalSearchMatcher getMatcher(MatcherReference reference)

      Returns a matcher for a selected query specification. TODO should return a generic concept, based on the current IncQueryEngine
      Parameters:
        `reference` -